Import Videos

POST/api/2026-03/import/videos
public-api:write
Latest version

Request Body

JSON Body

Sent as JSON in the request body.

ParameterTypeDescription
systemName*
string

Identifier for the system you are importing from, e.g. an archive

webhook
uri

Endpoint at the importing system that gets notified by POST when import job is done. Notification contains the id of the import job, the state and an overview.

context
object

An object that is passed as context in the body of the request to the webhook. Limited to 8192 Bytes.

videos*
array

An array of videos to import. Each entry is an object with the following keys, all of which are required:

  • url: a URL to a video file, must reference a video file with mimetype video/*.
  • id: a unique id (stored as externalId in Livingdocs) that identifies the video on your end, must be unique within your project
  • fileName: the title that the video should get in livingdocs
  • metadata: An object of metadata according to your project config

Description

The video import does both create and update videos. The import remembers the externalId / systemName pair and if an import matches an existing pair, it will update (Hint: consider how to rebuild the externalId when you want to update videos). The video import in Livingdocs is asynchronous. You post a batch of videos that you want to import and get back an id with which you can query later to get your result.

Use Cases

  • Initial import from a legacy system

Responses

GET/api/2026-03/import/videos/status
public-api:write
Latest version

Query Parameters

Query String

Passed as URL query string. Comma-separated values for arrays (e.g. ?contentTypes=regular,author).

ParameterTypeDescription
id*
string

The id that Livingdocs provided you for your prior call to /api/:apiVersion/import/videos

Description

You can use this endpoint to check for the status and/or result of a video import.

Responses

⌘ K to search